---
title: "Activate/deactivate signing link"
url: "https://docs.signnow.com/docs/signing-link/operations/put-v2-application-signing-links-signing_link_short_url_id"
type: "endpoint"
section: "signing-link"
slug: "signing-link/operations/put-v2-application-signing-links-signing_link_short_url_id"
method: "PUT"
path: "/v2/application/signing-links/{signing_link_short_url_id}"
operation_id: "put-v2-application-signing-links-signing_link_short_url_id"
authorization: "basic"
---

# Activate/deactivate signing link

`PUT /v2/application/signing-links/{signing_link_short_url_id}`

Allows API users to activate or deactivate the existing signing links.

For more information, check out our video tutorial.

<details open>

**<summary>Video tutorial</summary>**

<sub><sup>Note: The design shown in the video is outdated, but the flow is still accurate. You can go ahead and follow the steps as demonstrated.</sup></sub>

[Video tutorial](https://www.youtube.com/watch?v=XbUwX_2S5eU)

</details>

## Authorization

basic

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `signing_link_short_url_id` | string | Yes | ID of a Signing Link that should be activated/deactivated |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "active"
  ],
  "properties": {
    "active": {
      "type": "boolean",
      "description": "Boolean. Determines if the link must be active. Possible values: `true` - yes, the link must be active, `false` - deactivate the link."
    }
  },
  "x-examples": {
    "example-1": {
      "active": true
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "active": true
}
```

## Responses

### 204

Returns empty 204 successul request. Returns an error when:

* Empty "active" parameter, "code": 0. Message: "Field `active` must be not null"
* Incorrect value of "active" parameter, "code": 0. Message: "Field `active` must be a boolean"
* API user is not the owner of the signing link, "code": 0. Message: "Access for the resource `signingLinkId` is forbidden"
* Invalid "from" email, "code": 65582. Message: "Document not found"
* Invalid authorization, "code": 1537. Message: "invalid_token"

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/application/signing-links/{signing_link_short_url_id}" \
  -H "Authorization: Basic $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"active": true}'
```

---
*Full reference: https://docs.signnow.com/docs/signing-link/operations/put-v2-application-signing-links-signing_link_short_url_id*
